#pragma once

class UMmuBase: public VESSEL2 {
public:
	UMmuBase (OBJHANDLE hVessel, int flightmodel)
		: VESSEL2 (hVessel, flightmodel) {}
	void clbkSetClassCaps (FILEHANDLE cfg);
	void clbkSaveState(FILEHANDLE scn);
	void clbkLoadStateEx (FILEHANDLE scn, void *status);
	void clbkPostStep (double simtt, double simdt, double mjd);
	int clbkConsumeBufferedKey(DWORD key, bool down, char *kstate);
	void clbkDrawHUD (int mode, const HUDPAINTSPEC *hps, HDC hDC);
	UMMUCREWMANAGMENT *GetCrew();
private:
	// UMMU 1.5 DECLARATION
	UMMUCREWMANAGMENT Crew;
	char display[1024];
	int SelectedUmmuMember;
};
